#Six new multi-fasta files were created by dividing the two fasta files ("untrimmed_IS_of_COG2801_2963.fasta" and "untrimmed_IS_of_COG4584_1484.fasta") according to the adjacent gene combinations (e.g. cluster1 and cluster4)

grep -A1 "cluster_1cluster_4" untrimmed_IS_of_COG2801_2963.fasta | perl -pe 's/--\n//g' > cluster1_4.fasta
grep -A1 "cluster_2cluster_5" untrimmed_IS_of_COG2801_2963.fasta | perl -pe 's/--\n//g' > cluster2_5.fasta
grep -A1 "cluster_3cluster_6" untrimmed_IS_of_COG2801_2963.fasta | perl -pe 's/--\n//g' > cluster3_6.fasta
grep -A1 "cluster_11cluster_8" untrimmed_IS_of_COG4584_1484.fasta | perl -pe 's/--\n//g' > cluster8_11.fasta
grep -A1 "cluster_12cluster_9" untrimmed_IS_of_COG4584_1484.fasta | perl -pe 's/--\n//g' > cluster9_12.fasta
grep -A1 "cluster_10cluster_7" untrimmed_IS_of_COG4584_1484.fasta | perl -pe 's/--\n//g' > cluster7_10.fasta

#Each of the six multi-fasta files created was aligned using MAFFT with auto option.
mafft --auto cluster1_4.fasta > mafft_cluster1_4.fasta
mafft --auto cluster2_5.fasta > mafft_cluster2_5.fasta
mafft --auto cluster3_6.fasta > mafft_cluster3_6.fasta
mafft --auto cluster7_10.fasta > mafft_cluster7_10.fasta
mafft --auto cluster8_11.fasta > mafft_cluster8_11.fasta
mafft --auto cluster9_12.fasta > mafft_cluster9_12.fasta


